summaryrefslogtreecommitdiff
path: root/dev-python/nbconvert
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-29 17:52:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-29 17:52:54 +0000
commit09e7ba82863ca0798e5f9d24118c3905b4e17ae6 (patch)
treec7b62b2b04d7a9eb628dff896433e5f0db7537e6 /dev-python/nbconvert
parentf43514269a3b2cde80e20faead98f8a9e434c3cb (diff)
downloadbaldeagleos-repo-09e7ba82863ca0798e5f9d24118c3905b4e17ae6.tar.gz
baldeagleos-repo-09e7ba82863ca0798e5f9d24118c3905b4e17ae6.tar.xz
baldeagleos-repo-09e7ba82863ca0798e5f9d24118c3905b4e17ae6.zip
Adding metadata
Diffstat (limited to 'dev-python/nbconvert')
-rw-r--r--dev-python/nbconvert/Manifest1
-rw-r--r--dev-python/nbconvert/nbconvert-7.16.6.ebuild80
2 files changed, 81 insertions, 0 deletions
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 9dbdd85b043e..9383f5c5dda9 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1 +1,2 @@
DIST nbconvert-7.16.5.tar.gz 856367 BLAKE2B d1b44e2665a4a96c2d7a78c986b93c5e9e5e12bc984f20735a03e1fb28d81b43cc7b1d6ebf0a8dad56b470e5e683c672f096c9fd98d22852f5c8fe94a9c2ce44 SHA512 703ed3e33efc2a42c8bde84829b82a8e9ef2313c1766bfc0ab642743173ade642d4a796afa9ef489ba2f58bd75fc0ce6e50009676e2ef1d3848967ddf775f861
+DIST nbconvert-7.16.6.tar.gz 857715 BLAKE2B 1fdd6397c92f281554fb528a82926e1cf03cf0d5c6c50b4bcc6d4e3ee62c54917d08cfdf879ee6053bb096cb0de4109187ec2abfc14cf628e605bf6bca01bd5b SHA512 527536700e870d0352feb070b1d4cff6fbad11503bdeff860a1fdd6e142b776dc260a60d6c3e887c52ebc83c9465df569b9d27aead53c02a42a0adb60733371d
diff --git a/dev-python/nbconvert/nbconvert-7.16.6.ebuild b/dev-python/nbconvert/nbconvert-7.16.6.ebuild
new file mode 100644
index 000000000000..d66830d0e044
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.16.6.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+# via bleach[css]
+RDEPEND+="
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ # tests/preprocessors/test_execute.py are extremely flaky over output
+ # buffering
+ nonfatal epytest --reruns=10 || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}